---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-prod
  labels:
    app: ipapi
  name: ipapi
  namespace: ipapi
spec:
  rules:
  - host: ip.tbrnt.ch
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: ipapi
            port:
              number: 8080
  - host: "*.ip.tbrnt.ch"
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: ipapi
            port:
              number: 8080
  tls:
  - hosts:
    - ip.tbrnt.ch
    - v4.ip.tbrnt.ch
    - v6.ip.tbrnt.ch
    secretName: ipapi-tbrnt-ch-cert
